import { ContextMatcher, Delta, NormalizedDelta, SignalKServer, StreamBundle } from './types';
interface StringKeyed {
    [key: string]: any;
}
export default class DeltaCache {
    cache: StringKeyed;
    lastModifieds: StringKeyed;
    app: SignalKServer;
    defaults: any;
    sourceDeltas: StringKeyed;
    constructor(app: SignalKServer, streambundle: StreamBundle);
    onValue(msg: NormalizedDelta): void;
    setSourceDelta(key: string, delta: Delta): void;
    deleteContext(contextKey: string): void;
    pruneContexts(seconds: number): void;
    buildFull(user: string, path: string[]): any;
    getSources(): any;
    buildFullFromDeltas(user: string, deltas: Delta[] | undefined, includeSources: boolean): any;
    getCachedDeltas(contextFilter: ContextMatcher, user?: string, key?: string): any;
}
export {};
